local font, scalex, scaley
if application:getLogicalScaleX() > 1.5 then
	-- load high resolution font
	font = BMFont.new("font-hi.txt", "font-hi.png")
	-- scale is inverse of logical scale
	scalex = 1 / application:getLogicalScaleX()
	scaley = 1 / application:getLogicalScaleY()
else
	-- load low resolution font
	font = BMFont.new("font-lo.txt", "font-lo.png")
	-- scale is 1
	scalex = 1
	scaley = 1
end

local text = BMTextField.new(font, "Hello Gideros!")
text:setScale(scalex, scaley)

stage:addChild(text)
